<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions: Input.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="Uniqorn_logo_230.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">UNIQORN -- The Universal Neural-network Interface for Quantum Observable Readout from N-body wavefunctions
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('Input_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Input.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceInput"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html">Input</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a11ed55a7b29cf4659466600ac6801971"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a11ed55a7b29cf4659466600ac6801971">Input.Training_Data</a> = 'SSS'</td></tr>
<tr class="memdesc:a11ed55a7b29cf4659466600ac6801971"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRAINING DATA &amp; DATA SET STRUCTURE #########.  <a href="namespaceInput.html#a11ed55a7b29cf4659466600ac6801971">More...</a><br /></td></tr>
<tr class="separator:a11ed55a7b29cf4659466600ac6801971"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fc98e44f2528633e12f92de5d1717fa"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a7fc98e44f2528633e12f92de5d1717fa">Input.DirName</a> = '/home/axel/4TB/uniqorn_data/rand_DW'</td></tr>
<tr class="separator:a7fc98e44f2528633e12f92de5d1717fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a928f7ca36911a7e2edf9b796be8ea6fa"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a928f7ca36911a7e2edf9b796be8ea6fa">Input.NDatasets</a> = 400</td></tr>
<tr class="memdesc:a928f7ca36911a7e2edf9b796be8ea6fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">DATA SET STRUCTURE FOR SINGLE SHOTS: ###.  <a href="namespaceInput.html#a928f7ca36911a7e2edf9b796be8ea6fa">More...</a><br /></td></tr>
<tr class="separator:a928f7ca36911a7e2edf9b796be8ea6fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3f91f8780bc7437a694708e1ad9a19b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ab3f91f8780bc7437a694708e1ad9a19b">Input.Npoints</a> = 256</td></tr>
<tr class="separator:ab3f91f8780bc7437a694708e1ad9a19b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a948ae6626ce7a116ba90e51a3e28fe64"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a948ae6626ce7a116ba90e51a3e28fe64">Input.NShots</a> = 400</td></tr>
<tr class="separator:a948ae6626ce7a116ba90e51a3e28fe64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32df8a5ec35e43105c96b9b3fb82c051"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a32df8a5ec35e43105c96b9b3fb82c051">Input.NShotsPerSample</a> = 100</td></tr>
<tr class="separator:a32df8a5ec35e43105c96b9b3fb82c051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5cf31566b5983c3942e5ca6e2cfd619"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ad5cf31566b5983c3942e5ca6e2cfd619">Input.TrainFraction</a> = 0.75</td></tr>
<tr class="separator:ad5cf31566b5983c3942e5ca6e2cfd619"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e6b66cd2e387fbef0add10c1458fbc7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a7e6b66cd2e387fbef0add10c1458fbc7">Input.NormalizeData</a> = False</td></tr>
<tr class="separator:a7e6b66cd2e387fbef0add10c1458fbc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f2e15e490af4a8ec7e8e3099ab0dbb5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a6f2e15e490af4a8ec7e8e3099ab0dbb5">Input.momData</a> = False</td></tr>
<tr class="separator:a6f2e15e490af4a8ec7e8e3099ab0dbb5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adb7cea67e0dc0eaf4a5ce0ccf22d0bba"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#adb7cea67e0dc0eaf4a5ce0ccf22d0bba">Input.Plot</a> = False</td></tr>
<tr class="separator:adb7cea67e0dc0eaf4a5ce0ccf22d0bba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca0aeb8b128810a0304668f1925cb440"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#aca0aeb8b128810a0304668f1925cb440">Input.AxisFlipping</a> = False</td></tr>
<tr class="separator:aca0aeb8b128810a0304668f1925cb440"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab5223215b816661121dc511bad68cb6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#aab5223215b816661121dc511bad68cb6">Input.DataThreshold</a> = False</td></tr>
<tr class="separator:aab5223215b816661121dc511bad68cb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c583f6e9f0d83a409100deccc7e6494"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a9c583f6e9f0d83a409100deccc7e6494">Input.DataThresholdTest</a> = False</td></tr>
<tr class="separator:a9c583f6e9f0d83a409100deccc7e6494"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaafaeb9a676b862e10f34e6fd311173"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#abaafaeb9a676b862e10f34e6fd311173">Input.DataThresholdLow</a> = 0.03</td></tr>
<tr class="separator:abaafaeb9a676b862e10f34e6fd311173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e1de47b3dc33f1a9886c4e64c6e8fc4"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a4e1de47b3dc33f1a9886c4e64c6e8fc4">Input.DataThresholdHigh</a> = 0.3</td></tr>
<tr class="separator:a4e1de47b3dc33f1a9886c4e64c6e8fc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55dea67912410d10115f6cecf1cc832c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a55dea67912410d10115f6cecf1cc832c">Input.MultiSSSOrder</a> = True</td></tr>
<tr class="separator:a55dea67912410d10115f6cecf1cc832c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76f7097e449eb5f69bb6d703845c6766"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a76f7097e449eb5f69bb6d703845c6766">Input.MultiSSS_NOrder</a> = 3</td></tr>
<tr class="separator:a76f7097e449eb5f69bb6d703845c6766"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9842a3400597ed121be71bb43fd00d10"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a9842a3400597ed121be71bb43fd00d10">Input.batch_loading</a> = False</td></tr>
<tr class="memdesc:a9842a3400597ed121be71bb43fd00d10"><td class="mdescLeft">&#160;</td><td class="mdescRight">BATCHING &amp; EPOCHS #########.  <a href="namespaceInput.html#a9842a3400597ed121be71bb43fd00d10">More...</a><br /></td></tr>
<tr class="separator:a9842a3400597ed121be71bb43fd00d10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a372cf62a3fa7f7a15da227d3b4e23eb1"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a372cf62a3fa7f7a15da227d3b4e23eb1">Input.batch_size</a> = 10</td></tr>
<tr class="separator:a372cf62a3fa7f7a15da227d3b4e23eb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec3456da11421b1cbc21d2dab6a0185a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#aec3456da11421b1cbc21d2dab6a0185a">Input.epochs</a> = 200</td></tr>
<tr class="separator:aec3456da11421b1cbc21d2dab6a0185a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6cbbff0bf88f83f3982339f2273bf3b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ac6cbbff0bf88f83f3982339f2273bf3b">Input.Randomize</a> = False</td></tr>
<tr class="separator:ac6cbbff0bf88f83f3982339f2273bf3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747d2ea56ec6c70bd56f5fd4d6dfa502"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a747d2ea56ec6c70bd56f5fd4d6dfa502">Input.Shuffle</a> = True</td></tr>
<tr class="separator:a747d2ea56ec6c70bd56f5fd4d6dfa502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64204938a1b52b0e60477263c9451f3b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a64204938a1b52b0e60477263c9451f3b">Input.Loss</a> = 'mse'</td></tr>
<tr class="separator:a64204938a1b52b0e60477263c9451f3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88472fa918f2232cc30abf28ed7dfd6a"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a88472fa918f2232cc30abf28ed7dfd6a">Input.Job_Type</a> = 'SUPERV_REGR'</td></tr>
<tr class="memdesc:a88472fa918f2232cc30abf28ed7dfd6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">MACHINE LEARNING TASKS #########.  <a href="namespaceInput.html#a88472fa918f2232cc30abf28ed7dfd6a">More...</a><br /></td></tr>
<tr class="separator:a88472fa918f2232cc30abf28ed7dfd6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6915e9de3d586d262aa7a2ce2a6d249"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ac6915e9de3d586d262aa7a2ce2a6d249">Input.Learn</a> = 'DENS'</td></tr>
<tr class="separator:ac6915e9de3d586d262aa7a2ce2a6d249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab000cf9d536eb7560a99f8a7b2510c03"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ab000cf9d536eb7560a99f8a7b2510c03">Input.Dimensionality</a> = 1</td></tr>
<tr class="separator:ab000cf9d536eb7560a99f8a7b2510c03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4a927a50cfc964097e9df2e0857a723"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ab4a927a50cfc964097e9df2e0857a723">Input.NViz</a> = 20</td></tr>
<tr class="separator:ab4a927a50cfc964097e9df2e0857a723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d06e696513f32a4f34f9a19a1988d33"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a7d06e696513f32a4f34f9a19a1988d33">Input.Visualization_Save</a> = True</td></tr>
<tr class="separator:a7d06e696513f32a4f34f9a19a1988d33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a66595e1a88357883406760aefd6ac5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a7a66595e1a88357883406760aefd6ac5">Input.TrainingFlag</a> = True</td></tr>
<tr class="separator:a7a66595e1a88357883406760aefd6ac5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31193b9c1af34736035d11abb41621d0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a31193b9c1af34736035d11abb41621d0">Input.Visualization_Accuracies</a> = True</td></tr>
<tr class="separator:a31193b9c1af34736035d11abb41621d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e1a595543ba4c011c568d85246b4c12"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a4e1a595543ba4c011c568d85246b4c12">Input.Visualization_Losses</a> = True</td></tr>
<tr class="separator:a4e1a595543ba4c011c568d85246b4c12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad57a3063d1c9aeb20236506795ff2049"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ad57a3063d1c9aeb20236506795ff2049">Input.Visualization_Errors</a> = True</td></tr>
<tr class="separator:ad57a3063d1c9aeb20236506795ff2049"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4bd76a10129a3345fd6f22132a25b30"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ae4bd76a10129a3345fd6f22132a25b30">Input.Visualization_ErrorHistograms</a> = True</td></tr>
<tr class="separator:ae4bd76a10129a3345fd6f22132a25b30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5851c7eefd25e9a359b11af02f6b50f5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a5851c7eefd25e9a359b11af02f6b50f5">Input.VisualizationFlag</a> = True</td></tr>
<tr class="separator:a5851c7eefd25e9a359b11af02f6b50f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad13243ddf624627df204a183e91f035d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ad13243ddf624627df204a183e91f035d">Input.Model</a> = 'custom'</td></tr>
<tr class="separator:ad13243ddf624627df204a183e91f035d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3f3a84493d15c01dae3c9eb894c58b3"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ab3f3a84493d15c01dae3c9eb894c58b3">Input.Model_Name</a> = 'Seq128Dropout'</td></tr>
<tr class="separator:ab3f3a84493d15c01dae3c9eb894c58b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48d94e8e6c1981885a37e5073d7955f0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a48d94e8e6c1981885a37e5073d7955f0">Input.ConvNet</a> = False</td></tr>
<tr class="separator:a48d94e8e6c1981885a37e5073d7955f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a750261566e1aaa5918affc1bd3625280"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a750261566e1aaa5918affc1bd3625280">Input.callbacks</a> = ['reduce_lr','earlystopping']</td></tr>
<tr class="separator:a750261566e1aaa5918affc1bd3625280"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab10a449b6d23e713f7594d8e660e5e99"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ab10a449b6d23e713f7594d8e660e5e99">Input.layers</a> = [512,256,128,64]</td></tr>
<tr class="separator:ab10a449b6d23e713f7594d8e660e5e99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a616b97f6a4a862bafd7be508f1eb68af"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a616b97f6a4a862bafd7be508f1eb68af">Input.regularizations</a> = [0.0,0.3,0.1,0.01]</td></tr>
<tr class="separator:a616b97f6a4a862bafd7be508f1eb68af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3580232bd7438e7d64db81aeba248ea"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ad3580232bd7438e7d64db81aeba248ea">Input.filters</a> = [256,256,16]</td></tr>
<tr class="separator:ad3580232bd7438e7d64db81aeba248ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a663edd660f912d1b9c0e0e0d78dbebca"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a663edd660f912d1b9c0e0e0d78dbebca">Input.kernelsizes</a> = [(1,50),(8,1),(8,1)]</td></tr>
<tr class="separator:a663edd660f912d1b9c0e0e0d78dbebca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bccfe68143cdcef28987b17843677c6"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a8bccfe68143cdcef28987b17843677c6">Input.pooling</a> = ['max','none','max']</td></tr>
<tr class="separator:a8bccfe68143cdcef28987b17843677c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0d6dfac47946b3ebf3ab92836e1c0c8"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#aa0d6dfac47946b3ebf3ab92836e1c0c8">Input.batchnormalization</a> = [True,False,False,False,False,False,False,False]</td></tr>
<tr class="separator:aa0d6dfac47946b3ebf3ab92836e1c0c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b51d10758f8d131506007433e662770"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a3b51d10758f8d131506007433e662770">Input.OutputDropout</a> = 0.3</td></tr>
<tr class="separator:a3b51d10758f8d131506007433e662770"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6604f6df879ab200a483196a4731f36a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a6604f6df879ab200a483196a4731f36a">Input.FragmentationLowerBound</a> = 0.01</td></tr>
<tr class="memdesc:a6604f6df879ab200a483196a4731f36a"><td class="mdescLeft">&#160;</td><td class="mdescRight">TASK-SPECIFIC FLAGS #########.  <a href="namespaceInput.html#a6604f6df879ab200a483196a4731f36a">More...</a><br /></td></tr>
<tr class="separator:a6604f6df879ab200a483196a4731f36a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c4d050933b1198c6fc8d10ecfb07b35"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a5c4d050933b1198c6fc8d10ecfb07b35">Input.FragmentationUpperBound</a> = 0.5</td></tr>
<tr class="separator:a5c4d050933b1198c6fc8d10ecfb07b35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c25a8b01881d9b87035b6a842753e1a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a1c25a8b01881d9b87035b6a842753e1a">Input.FragmentationThreshold</a> = 0.1</td></tr>
<tr class="separator:a1c25a8b01881d9b87035b6a842753e1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad86a5d3f0e54e6e15d3a00a92a58cf88"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#ad86a5d3f0e54e6e15d3a00a92a58cf88">Input.num_classes</a> = 2</td></tr>
<tr class="separator:ad86a5d3f0e54e6e15d3a00a92a58cf88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c20ff62cfd551b88e06d9b24f67ea5b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a6c20ff62cfd551b88e06d9b24f67ea5b">Input.NPartLowerBound</a> = 1</td></tr>
<tr class="memdesc:a6c20ff62cfd551b88e06d9b24f67ea5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">PARTICLE NUMBER TASKS: ###.  <a href="namespaceInput.html#a6c20ff62cfd551b88e06d9b24f67ea5b">More...</a><br /></td></tr>
<tr class="separator:a6c20ff62cfd551b88e06d9b24f67ea5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d165e6a60ad1947880716a7b0e5d14c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a2d165e6a60ad1947880716a7b0e5d14c">Input.NPartUpperBound</a> = 100</td></tr>
<tr class="separator:a2d165e6a60ad1947880716a7b0e5d14c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27e45fba646cc08c4b56f7370a84b750"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a27e45fba646cc08c4b56f7370a84b750">Input.momLabels</a> = False</td></tr>
<tr class="memdesc:a27e45fba646cc08c4b56f7370a84b750"><td class="mdescLeft">&#160;</td><td class="mdescRight">DENSITY TASKS: ###.  <a href="namespaceInput.html#a27e45fba646cc08c4b56f7370a84b750">More...</a><br /></td></tr>
<tr class="separator:a27e45fba646cc08c4b56f7370a84b750"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accc68d44483781bbb0f2ce2020cf5248"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#accc68d44483781bbb0f2ce2020cf5248">Input.NormalizeLabels</a> = False</td></tr>
<tr class="separator:accc68d44483781bbb0f2ce2020cf5248"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87582d2eaaa7a13655815db1c6f06bff"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a87582d2eaaa7a13655815db1c6f06bff">Input.InterpolatePredictions</a> = False</td></tr>
<tr class="separator:a87582d2eaaa7a13655815db1c6f06bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76adb8f06efff3da76f74a6d49b2f5be"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a76adb8f06efff3da76f74a6d49b2f5be">Input.LearnInterpolationKnots</a> = False</td></tr>
<tr class="separator:a76adb8f06efff3da76f74a6d49b2f5be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeac3a411939f2c865e64db3b276b537"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#abeac3a411939f2c865e64db3b276b537">Input.InterpolNpoints</a> = 10</td></tr>
<tr class="separator:abeac3a411939f2c865e64db3b276b537"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc55e1f7350cefe77c9c6e089afdf5d8"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#adc55e1f7350cefe77c9c6e089afdf5d8">Input.RegularizationWeight</a> = 0.01</td></tr>
<tr class="separator:adc55e1f7350cefe77c9c6e089afdf5d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1537221a6383a80076a290fefa178b07"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a1537221a6383a80076a290fefa178b07">Input.InterpolOrder</a> = 5</td></tr>
<tr class="separator:a1537221a6383a80076a290fefa178b07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47a9b0d7466c0ce15310a36d6a783d08"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceInput.html#a47a9b0d7466c0ce15310a36d6a783d08">Input.PhaseBins</a> = 20</td></tr>
<tr class="memdesc:a47a9b0d7466c0ce15310a36d6a783d08"><td class="mdescLeft">&#160;</td><td class="mdescRight">PHASE TASKS: ###.  <a href="namespaceInput.html#a47a9b0d7466c0ce15310a36d6a783d08">More...</a><br /></td></tr>
<tr class="separator:a47a9b0d7466c0ce15310a36d6a783d08"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="Input_8py.html">Input.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
